package ru.yandex.direct.web.entity.cookie.banneraiming.container;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class SecretKey {
    @JsonProperty("d")
    private String data;

    @JsonProperty("f")
    private long timestampFrom;

    @JsonProperty("t")
    private long timestampTo;

    @JsonCreator
    public SecretKey(
            @JsonProperty("d") String data,
            @JsonProperty("f") long timestampFrom,
            @JsonProperty("t") long timestampTo) {
        this.data = data;
        this.timestampFrom = timestampFrom;
        this.timestampTo = timestampTo;
    }

    public String getData() {
        return data;
    }

    public long getTimestampFrom() {
        return timestampFrom;
    }

    public long getTimestampTo() {
        return timestampTo;
    }
}
